package com.brilliance.isc.convert.mt9xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT973Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT973AbsCreator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;

import java.util.LinkedList;
import java.util.List;


/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Mt973Test {
    @Test
    public void mt973_Test() throws Exception {
        //循环
        List<MT973AbsCreator> list973 = new LinkedList<>();
        //循环1
        MT973AbsCreator mt973AbsCreator1 = new MT973AbsCreator();
        mt973AbsCreator1.setMessageType("123");   //12  3!n
        mt973AbsCreator1.setAccIdentifi("aaa");    //25  35x
        list973.add(mt973AbsCreator1);
        //循环2
        MT973AbsCreator mt973AbsCreator2 = new MT973AbsCreator();
        mt973AbsCreator2.setMessageType("321");     //12  3!n
        mt973AbsCreator2.setAccIdentifi("bbb");     //25  35x
        list973.add(mt973AbsCreator2);

        MT973Creator mt973Creator = new MT973Creator("973");
        mt973Creator.setSendBic("PSBCCNBJXXX");  //接收
        mt973Creator.setRecvBic("CIPSCNSHXXX");   //发送

        mt973Creator.setTranReferenceNum("asdfg");    //20   16x
        mt973Creator.setCycleDomain(list973);


        MtResult mtResult = MtCreatorManager.packMT(mt973Creator);


    }

}
